Public Class 專案項目BOM表_選擇群組
    Private Sub 載入群組碼()
        SQL_工程項目BOM_群組碼() : 群組碼_cb.Items.Clear() : 群組碼中_cb.Items.Clear()
        While (dr.Read()) : 群組碼_cb.Items.Add(dr("群組碼")) : 群組碼中_cb.Items.Add(dr("中文名稱")) : 群組碼印_cb.Items.Add(dr("印尼文名稱")) : End While
    End Sub
    Private Sub 工程項目BOM表_選擇群組_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        載入群組碼() : 群組碼_cb.Text = "" : 群組碼中_cb.Text = "" : 群組碼印_cb.Text = ""
        If 系統語言 = "繁體中文" Then
            群組碼中_cb.Visible = True : 群組碼印_cb.Visible = False : Label5.Visible = True : Label6.Visible = False
        Else
            群組碼中_cb.Visible = False : 群組碼印_cb.Visible = True : Label5.Visible = False : Label6.Visible = True
        End If
        群組碼_cb.Visible = False
    End Sub
    Private Sub 群組碼中_cb_Click(sender As Object, e As EventArgs) Handles 群組碼中_cb.Click
        CB選擇清單(群組碼中_cb, 群組碼中_cb.Text)
    End Sub
    Private Sub 群組碼中_cb_SelectedIndexChanged(sender As Object, e As EventArgs) Handles 群組碼中_cb.TextChanged
        If 系統語言 = "繁體中文" Then
            群組碼印_cb.SelectedIndex = 群組碼中_cb.SelectedIndex : 群組碼_cb.SelectedIndex = 群組碼中_cb.SelectedIndex : PA40 = 群組碼_cb.Text : Me.Close()
        End If
    End Sub
    Private Sub 群組碼印_cb_Click(sender As Object, e As EventArgs) Handles 群組碼印_cb.Click
        CB選擇清單(群組碼印_cb, 群組碼印_cb.Text)
    End Sub
    Private Sub 群組碼印_cb_SelectedIndexChanged(sender As Object, e As EventArgs) Handles 群組碼印_cb.TextChanged
        If 系統語言 <> "繁體中文" Then
            群組碼中_cb.SelectedIndex = 群組碼印_cb.SelectedIndex : 群組碼_cb.SelectedIndex = 群組碼印_cb.SelectedIndex : PA40 = 群組碼_cb.Text : Me.Close()
        End If
    End Sub
End Class